### Method

# GIRepository ArgInfo is_caller_allocates

since: 2.80

#### Declaration [src]

    gboolean
    gi_arg_info_is_caller_allocates (
      GIArgInfo* info
    )

#### Description [src]

Obtain if the argument is a pointer to a struct or object that will receive an output of a function.

The default assumption for `GI_DIRECTION_OUT` arguments which have allocation is that the callee allocates; if this is `TRUE`, then the caller must allocate.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if caller is required to have allocated the argument.